GNU Radio's FOO Package: gr::foo::channel_model Class Reference

GNU Radio's FOO Package

gr::foo::channel_model Class Referenceabstract

`#include <channel_model.h>`

Inheritance diagram for gr::foo::channel_model:

## Public Types
typedef std::shared_ptr< channel_model > | sptr

## Public Member Functions
virtual void | set_noise_voltage (double noise_voltage)=0
virtual void | set_frequency_offset (double frequency_offset)=0
virtual void | set_taps (const std::vector< gr_complex > &taps)=0
virtual void | set_timing_offset (double epsilon)=0
virtual double | noise_voltage () const =0
virtual double | frequency_offset () const =0
virtual std::vector< gr_complex > | taps () const =0
virtual double | timing_offset () const =0

## Static Public Member Functions
static sptr | make (double noise_voltage=0.0, double frequency_offset=0.0, double epsilon=1.0, const std::vector< gr_complex > &taps=std::vector< gr_complex >(1, 1), double noise_seed=0, bool block_tags=false)

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<channel_model> gr::foo::channel_model::sptr

## Member Function Documentation

## ◆ frequency_offset()

virtual double gr::foo::channel_model::frequency_offset | ( |  | ) | const
| pure virtual

Implemented in gr::foo::channel_model_impl.

Referenced by make(), and set_frequency_offset().

## ◆ make()

sptr gr::foo::channel_model::make | ( | double | noise_voltage = 0.0,
|  | double | frequency_offset = 0.0,
|  | double | epsilon = 1.0,
|  | const std::vector< gr_complex > & | taps = std::vector< gr_complex >(1, 1),
|  | double | noise_seed = 0,
|  | bool | block_tags = false )
| static

References frequency_offset(), noise_voltage(), and taps().

## ◆ noise_voltage()

virtual double gr::foo::channel_model::noise_voltage | ( |  | ) | const
| pure virtual

Implemented in gr::foo::channel_model_impl.

Referenced by make(), and set_noise_voltage().

## ◆ set_frequency_offset()

virtual void gr::foo::channel_model::set_frequency_offset | ( | double | frequency_offset | ) |
| pure virtual

Implemented in gr::foo::channel_model_impl.

References frequency_offset().

## ◆ set_noise_voltage()

virtual void gr::foo::channel_model::set_noise_voltage | ( | double | noise_voltage | ) |
| pure virtual

Implemented in gr::foo::channel_model_impl.

References noise_voltage().

## ◆ set_taps()

virtual void gr::foo::channel_model::set_taps | ( | const std::vector< gr_complex > & | taps | ) |
| pure virtual

Implemented in gr::foo::channel_model_impl.

References taps().

## ◆ set_timing_offset()

virtual void gr::foo::channel_model::set_timing_offset | ( | double | epsilon | ) |
| pure virtual

Implemented in gr::foo::channel_model_impl.

## ◆ taps()

virtual std::vector< gr_complex > gr::foo::channel_model::taps | ( |  | ) | const
| pure virtual

Implemented in gr::foo::channel_model_impl.

Referenced by make(), and set_taps().

## ◆ timing_offset()

virtual double gr::foo::channel_model::timing_offset | ( |  | ) | const
| pure virtual

Implemented in gr::foo::channel_model_impl.

The documentation for this class was generated from the following file:

- channel_model.h